> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portal (deprecated)

> Deprecated alias of `GET /v1/portal-tasks/{portalTaskId}`. Returns the same payload.

**Scope:** `portal:read`


## OpenAPI

````yaml /openapi/portals.yaml get /v1/portals/{portalId}
openapi: 3.1.0
info:
  title: Portal Tasks API
  version: '1.0'
servers:
  - url: https://api.monk.com
    description: Production
  - url: https://api-sandbox.monk.com
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/portals/{portalId}:
    get:
      summary: Get Portal (deprecated)
      description: >-
        Deprecated alias of `GET /v1/portal-tasks/{portalTaskId}`. Returns the
        same payload.
      operationId: getPortal
      parameters:
        - name: portalId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The portal task
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PortalTask'
        '401':
          description: Missing or invalid API key
        '403':
          description: API key lacks the portal:read scope
        '404':
          description: Portal task not found
      deprecated: true
components:
  schemas:
    PortalTask:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - not_started
            - blocked
            - in_progress
            - submitted
            - approved
            - rejected
            - cancelled
        ask:
          type: string
        priority:
          type: string
        blocker:
          type:
            - string
            - 'null'
        blockReason:
          type:
            - string
            - 'null'
        blockedBy:
          type:
            - string
            - 'null'
          description: Who the task is waiting on
        rejectionReason:
          type:
            - string
            - 'null'
        rejectionNote:
          type:
            - string
            - 'null'
        sourceType:
          type: string
        owner:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type:
                - string
                - 'null'
        labels:
          type: array
          items:
            type: string
        customerIds:
          type: array
          items:
            type: string
        invoiceIds:
          type: array
          items:
            type: string
        customerName:
          type:
            - string
            - 'null'
        invoiceNumbers:
          type: array
          items:
            type: string
        invoices:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              invoiceNumber:
                type: string
              status:
                type: string
              dueDate:
                type:
                  - string
                  - 'null'
                format: date
        portals:
          type: array
          description: Portal configured for each linked customer
          items:
            type: object
            properties:
              customerId:
                type: string
              provider:
                type: string
              customProviderName:
                type:
                  - string
                  - 'null'
              portalUrl:
                type:
                  - string
                  - 'null'
        commentCount:
          type: integer
        messageCount:
          type: integer
        statusChangedAt:
          type:
            - string
            - 'null'
          format: date-time
          description: When the task entered its current status
        lastStatusCheckAt:
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.